Bug 419375 - Allow showing EmbeddedVideoFile from images (aka HEIF) - Use ExifTool to extract data
Summary: Allow showing EmbeddedVideoFile from images (aka HEIF) - Use ExifTool to extr...
Status: REOPENED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-ExifTool (show other bugs)
Version: 6.4.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-29 11:41 UTC by Ernest Beinrohr
Modified: 2022-04-06 20:54 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ernest Beinrohr 2020-03-29 11:41:27 UTC
SUMMARY
Some cameras (samsuns S10 for example) embed a short video to each image. It would be nice if digikam could show these

EXPECTED RESULT

1. while watching images, show a video icon if EmbeddedVideoFile is detected
2. when clicked/keyboard shortcut is presset play that video. Allow it to be saved as new file (filename based on images filename)


ADDITIONAL INFORMATION
- Image is too big for attachement. See: http://www.beinrohr.sk/20190929_141702.jpg
- video can be extracted with: exiftool -b -EmbeddedVideoFile my_motion_photo.jpg >video.mp4
Comment 1 Maik Qualmann 2020-03-29 11:58:42 UTC

*** This bug has been marked as a duplicate of bug 385726 ***
Comment 2 caulier.gilles 2022-04-06 20:54:49 UTC
Git commit febc26188fe4e6037e5c8a9b1840f65729972a47 by Gilles Caulier.
Committed on 06/04/2022 at 20:38.
Pushed by cgilles into branch 'master'.

Add ExifTool backend to load metadata for image or video.
Exiv2 is always used in priority. If it fail, ExifTool is used instead.
ExifTool has the capability to create an EXV container for Exiv2. All metadata extracted with ExifTool
are concatened to the EXV container with all possible translations with Exif, Iptc, and Xmp tags.
Of course tags supported by ExifTool but not supported by Exiv2 are lost.
Related: bug 385726, bug 416516, bug 360714, bug 264210, bug 426938, bug 419801, bug 103247

M  +1    -0    core/libs/metadataengine/CMakeLists.txt
M  +7    -0    core/libs/metadataengine/dmetadata/dmetadata.h
A  +94   -0    core/libs/metadataengine/dmetadata/dmetadata_exiftool.cpp     [License: GPL (v2+)]
M  +42   -17   core/libs/metadataengine/dmetadata/dmetadata_fileio.cpp
M  +7    -6    core/libs/metadataengine/engine/metaengine.h
M  +5    -0    core/libs/metadataengine/engine/metaengine_fileio.cpp
M  +4    -2    core/libs/metadataengine/exiftool/exiftoolparser_command.cpp

https://invent.kde.org/graphics/digikam/commit/febc26188fe4e6037e5c8a9b1840f65729972a47